Package org.apache.lucene.analysis.ja.tokenattributes

# Interface PartOfSpeechAttribute

All Superinterfaces:
  `Attribute`

All Known Implementing Classes:
  `PartOfSpeechAttributeImpl`

public interface PartOfSpeechAttribute extends Attribute
Attribute for `Token.getPartOfSpeech()`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPartOfSpeech()`
  `void`
  `setToken(Token token)`

- ## Method Details

  - ### getPartOfSpeech

    String getPartOfSpeech()

  - ### setToken

    void setToken(Token token)